PDA

Afficher la version complète : Problème de compatibilité avec Windows Vista x64



LSMetag
17/02/2007, 12h40
Bonjour,

Je possède SCDA depuis quelques semaines déja. Jusqu'à présent j'y jouais sous Windows XP 32 bits et tout fonctionnait correctement.

Mais maintenant, suite à un problème technique sur mon système XP (qui refuse désormais de démarrer), j'ai décidé d'utiliser exclusivement mon Windows Vista 64 bits (plutôt que de devoir tout recharger de A à Z (les 2 systèmes d'exploitation compris)).

Sauf que le problème, c'est que le jeu refuse tout bonnement de démarrer sous Vista. Quand je le lance, il me met une boîte de dialogue "Must Check" puis une autre boîte faisant état d'une Runtime Error sur splintercell4.exe.

J'ai essayé les 2 solutions à disposition dans un autre topic (raccourci plus paul.dll). J'ai aussi essayé le mode de compatibilité. J'ai également patché le jeu à la version 1.02. Rien n'y fait.

Y a-t-il quelque chose que je puisse faire pour que cela fonctionne ?
J'espère qu'il y a quelque chose à faire.

Merci d'avance.

LSMetag
17/02/2007, 12h42
Ha oui, j'ai les derniers drivers ATI pour mon OS. Mais bon, l'outil de détection n'aime pas trop ces drivers et DirectX 10 lol

xAnth0x
18/02/2007, 03h22
Salut .

Comme tu la dit , scda n'aime pa le directX10 http://forums.ubi.com/infopop/emoticons/icon_biggrin.gif .

Ensuite ( meme si je ne conner pas vista ) essaye de le mettre en 32bits ( comme pour xp on pe mettre 32 ou 16 bits ) j'espere que pour vista on pe changer soit 64 soit 32 .
Si cela n'est pas possible alors je te dit qu'une seul chose , réinstalle windows XP http://forums.ubi.com/infopop/emoticons/icon_biggrin.gif

A oui une derniere chose, ta bien le Shader Model 3.0 sur ta ATI ? http://forums.ubi.com/infopop/emoticons/icon_razz.gif

LSMetag
19/02/2007, 09h54
Je vais essayer de trouver le moyen de le mettre en 32 bits. Oui j'ai bien le shader model 3. J'ai une Radeon X1950 Pro.

Ben justement, si je réinstalle XP, il me flingue mon boot vista, et je devrai à nouveau installer et XP et Vista (et tout ce qui va avec). Je dis non, j'en ai un peu marre. Et puis, si un jeu n'est même pas compatible avec les nouvelles technologies (ben oui,tout le monde va être obligé d'utiliser Vista à terme) où va-t-on. C'est le seul jeu que je n'ai pas réussi à faire fonctionner. Un comble.

Le coup du Shader Model 3.0 obligatoire, c'était déja pas mal. Mais en plus, compatible qu'avec un seul OS, ça rajoute une couche.

Je crois donc que je vais devoir attendre un éventuel patch...

Merci quand même.

xAnth0x
19/02/2007, 12h49
Tu peut aussi essayer de parametrer le jeux pour qu'il fonctionne en XP comme pour les jeux 2000 ou 98 qui tourne pas sous XP on pouvé choisir de démarer le jeux en tant que 2000 ou XP et vista peut démarrer les jeux en tant que XP http://forums.ubi.com/infopop/emoticons/icon_wink.gif

Good Luck .

LSMetag
20/02/2007, 04h32
Ca j'ai déja fait malheureusement. Ca ne suffit pas. Enfin, j'ai juste essayé les modes XP, 98 et 2003 Server. Je vais voir pour le mode 2000 mais j'y crois pas.

Merci

xAnth0x
20/02/2007, 10h35
Bah c'est malin sa -_-' , J'eter a moitier sur que SC aller merder sur Vista , ya pas mal de jeux qui marche pas sur Vista , je croi que ya seulement les plus ressent qui marche ( normal http://forums.ubi.com/infopop/emoticons/icon_razz.gif ) .

LSMetag
20/02/2007, 17h13
Ca ça veut rien dire. Tous les jeux que j'ai essayé ont fonctionné sous Vista. Parfois même mieux que sous XP.

Seul SC m'a résisté et pourtant il est très récent. C'est les développeurs de ce jeu qu'ont pas trop fait d'efforts pour la compatibilité.

Ils ont intérêt à sortir des patchs si ils veulent pas que leur jeu finisse aux oubliettes. Car il est bien.

xAnth0x
21/02/2007, 04h24
Des patches , toujours des patches ..... http://forums.ubi.com/images/smilies/52.gif .

Normalement ils doivent deja nous pondre une 10 ene de patch pour tout leur bug .

Autant sortir 2 patch , 1 pour fonctionner sous vista et 1 autre pour corriger TOUT les problemes sur SCDA PC .

Ensuite une mise a jour pour corriger le lobby du versus http://forums.ubi.com/infopop/emoticons/icon_biggrin.gif et vive la vie ! http://forums.ubi.com/infopop/emoticons/icon_razz.gif

LSMetag
21/02/2007, 05h10
Oui, 2 patchs ça serait bien. Même tout dans un seul.

Mais il faudrait le leur dire lol.

Mungopark
24/02/2007, 17h49
Le jeu marche parfaitement sous Vista 32 bits, et quand on installe la version 64 bits on prend un risque (pour 0 avantages en plus...) : les problèmes de compatibilité sont trés fréquents !

LSMetag
02/03/2007, 02h31
J'ai déja eu ce genre de soucis. Ce n'est pas un problème. Il suffit de chercher la dll sous google et de la mettre dans Windows\System32 ou Windows\System.

LSMetag
02/03/2007, 06h34
Ca y est j'ai réglé le problème de compatibilité. Il suffit de réinstaller DirectX 9 par dessus. Celui de SCDA devrait fonctionner. Mais j'avais aussi installé celui de Supreme Commander lol...